aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/zope-deferredimport/Manifest1
-rw-r--r--dev-python/zope-deferredimport/metadata.xml22
-rw-r--r--dev-python/zope-deferredimport/zope-deferredimport-4.4.ebuild43
3 files changed, 66 insertions, 0 deletions
diff --git a/dev-python/zope-deferredimport/Manifest b/dev-python/zope-deferredimport/Manifest
new file mode 100644
index 0000000..a54e2bd
--- /dev/null
+++ b/dev-python/zope-deferredimport/Manifest
@@ -0,0 +1 @@
+DIST zope-deferredimport-4.4.gh.tar.gz 17033 BLAKE2B 776fe5ba3613ff63f7af1349d7f1346c0b83d80770564cac1588e709503e5f301af634ec09531be2339fec1a50a88229def9ed08d3c26bf9be73fea922179be4 SHA512 db0719f7b01d72a87c3dc0c37335bfa228871eb9f8423c6ef0584f179462120cf186f13a39ec4b144bae405e32a51423e88682f7bec07166158dd5d6553ba540
diff --git a/dev-python/zope-deferredimport/metadata.xml b/dev-python/zope-deferredimport/metadata.xml
new file mode 100644
index 0000000..155a9a6
--- /dev/null
+++ b/dev-python/zope-deferredimport/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ Often, especially for package modules, you want to import names for convenience, but not actually perform the imports until necessary. The zope.deferredimport package provided facilities for defining names in modules that will be imported from somewhere else when used. You can also cause deprecation warnings to be issued when a variable is used.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.deferredimport/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.deferredimport/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopedeferredimport.rtfd.io</doc>
+ <remote-id type="github">zopefoundation/zope.deferredimport</remote-id>
+ <remote-id type="pypi">zope.deferredimport</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-deferredimport/zope-deferredimport-4.4.ebuild b/dev-python/zope-deferredimport/zope-deferredimport-4.4.ebuild
new file mode 100644
index 0000000..a29c41d
--- /dev/null
+++ b/dev-python/zope-deferredimport/zope-deferredimport-4.4.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Defer imports until used by code."
+HOMEPAGE="https://github.com/zopefoundation/zope.deferredimport"
+SRC_URI="https://github.com/zopefoundation/zope.deferredimport/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/zope-proxy[${PYTHON_USEDEP}]
+ doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
+ test? ( dev-python/zope-testrunner[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/deferredimport" || die
+ distutils-r1_src_test
+}